Page settings dialog is not oriented for RTL
Closed, ResolvedPublic

Description

The Page settings dialog is not oriented for RTL. The sidebar must be on the right-hand side, the title is supposed to be on the right, the closing X is supposed to be on the left, the Apply settings button is supposed to be on the left, etc.


Version: unspecified
Severity: normal

bzimport set Reference to bz49613.
Amire80 created this task.Via LegacyJun 15 2013, 7:55 AM
Jdforrester-WMF added a comment.Via ConduitJun 16 2013, 10:16 PM

Is this "just" an artefact of us not using CSSJanus? See bug 49546.

gerritbot added a comment.Via ConduitJun 18 2013, 6:59 PM

Related URL: https://gerrit.wikimedia.org/r/69341 (Gerrit Change I418e669b0999552167683352acb365a4249ab9cc)

gerritbot added a comment.Via ConduitJul 2 2013, 8:22 PM

Change 69341 merged by jenkins-bot:
Dir fix for iframes and widgets

https://gerrit.wikimedia.org/r/69341

Mooeypoo added a comment.Via ConduitJul 5 2013, 1:25 AM

Solved. Can be marked as resolved.

Amire80 added a comment.Via ConduitJul 5 2013, 9:26 AM

Created attachment 12758
screenshot of more problems. issues are marked in red.

It's much better now, thanks!

I found a couple of other small issues:

  1. The icons is the sidebar menu are supposed to be on the right-hand side.
  1. The table headers in the languages menu seem to be aligned to the left. The should be aligned to the right.

Attached:

gerritbot added a comment.Via ConduitJul 5 2013, 5:45 PM

Change 72115 had a related patch set uploaded by Mooeypoo:
Page settings fix-fix

https://gerrit.wikimedia.org/r/72115

gerritbot added a comment.Via ConduitJul 5 2013, 6:09 PM

Change 72115 merged by jenkins-bot:
Page settings fix-fix

https://gerrit.wikimedia.org/r/72115

Jdforrester-WMF added a comment.Via ConduitJul 5 2013, 6:12 PM

Really fixed this time, I think.

Amire80 added a comment.Via ConduitJul 7 2013, 9:52 AM

Verified on my test wiki. Thanks!

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.